# Ogre::GLXContext Class Reference

`#include <OgreGLXContext.h>`

Inheritance diagram for Ogre::GLXContext:

List of all members.

## Public Member Functions

| GLXContext (::Display *dpy,::GLXDrawable drawable,::GLXContext ctx)
virtual | ~GLXContext ()
virtual void | setCurrent ()
| See GLContext.
virtual void | endCurrent ()
| This is called before another context is made current.
bool | getInitialized ()
void | setInitialized ()

## Public Attributes

::Display * | mDpy
::GLXDrawable | mDrawable
::GLXContext | mCtx

## Protected Attributes

bool | initialized

## Constructor & Destructor Documentation

Ogre::GLXContext::GLXContext | ( | ::Display * | dpy,
|  | ::GLXDrawable | drawable,
|  | ::GLXContext | ctx
| ) |

virtual Ogre::GLXContext::~GLXContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLContext::endCurrent | ( |  | ) | `[virtual, inherited]`

| This is called before another context is made current. By default, nothing is done here.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

| Definition at line 54 of file OgreGLContext.h. References Ogre::GLContext::initialized.

virtual void Ogre::GLXContext::setCurrent | ( |  | ) | `[virtual]`

| See GLContext. Implements Ogre::GLContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

| Definition at line 55 of file OgreGLContext.h. References Ogre::GLContext::initialized.

## Member Data Documentation

bool Ogre::GLContext::initialized `[protected, inherited]`

| Definition at line 57 of file OgreGLContext.h. Referenced by Ogre::GLContext::getInitialized(), and Ogre::GLContext::setInitialized().

::GLXContext Ogre::GLXContext::mCtx

| Definition at line 49 of file OgreGLXContext.h.

::Display* Ogre::GLXContext::mDpy

| Definition at line 47 of file OgreGLXContext.h.

::GLXDrawable Ogre::GLXContext::mDrawable

| Definition at line 48 of file OgreGLXContext.h.

The documentation for this class was generated from the following file:

- OgreGLXContext.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:09:24 2006